### Method

# FwupdPlugin Context get_bios_settings

#### Declaration [src]

    FuBiosSettings*
    fu_context_get_bios_settings (
      FuContext* self
    )

#### Description [src]

Returns all the firmware attributes defined in the system.

Available since: | 1.8.4

#### Return value

Returns: | `FuBiosSettings`
| A `FuBiosSettings`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.